% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bold_italicise_labels_levels.R
\name{bold_italicize_labels_levels}
\alias{bold_italicize_labels_levels}
\alias{bold_labels}
\alias{bold_levels}
\alias{italicize_labels}
\alias{italicize_levels}
\title{Bold or Italicize labels or levels in gtsummary tables}
\usage{
bold_labels(x)

bold_levels(x)

italicize_labels(x)

italicize_levels(x)
}
\arguments{
\item{x}{Object created using gtsummary functions}
}
\value{
Functions return the same class of gtsummary object supplied
}
\description{
Bold or Italicize labels or levels in gtsummary tables
}
\section{Functions}{
\itemize{
\item \code{bold_labels}: Bold labels in gtsummary tables

\item \code{bold_levels}: Bold levels in gtsummary tables

\item \code{italicize_labels}: Italicize labels in gtsummary tables

\item \code{italicize_levels}: Italicize levels in gtsummary tables
}}

\section{Example Output}{

\if{html}{\figure{tbl_bold_ital_ex.png}{options: width=50\%}}
}

\examples{
tbl_bold_ital_ex <-
  trial[c("trt", "age", "grade")] \%>\%
  tbl_summary() \%>\%
  bold_labels() \%>\%
  bold_levels() \%>\%
  italicize_labels() \%>\%
  italicize_levels()
}
\seealso{
Other tbl_summary tools: 
\code{\link{add_n.tbl_summary}()},
\code{\link{add_overall}()},
\code{\link{add_p.tbl_summary}()},
\code{\link{add_q}()},
\code{\link{add_stat_label}()},
\code{\link{inline_text.tbl_summary}()},
\code{\link{inline_text.tbl_survfit}()},
\code{\link{modify}},
\code{\link{tbl_merge}()},
\code{\link{tbl_stack}()},
\code{\link{tbl_summary}()}

Other tbl_regression tools: 
\code{\link{add_global_p}()},
\code{\link{add_q}()},
\code{\link{combine_terms}()},
\code{\link{inline_text.tbl_regression}()},
\code{\link{modify}},
\code{\link{tbl_merge}()},
\code{\link{tbl_regression}()},
\code{\link{tbl_stack}()}

Other tbl_uvregression tools: 
\code{\link{add_global_p}()},
\code{\link{add_q}()},
\code{\link{inline_text.tbl_uvregression}()},
\code{\link{modify}},
\code{\link{tbl_merge}()},
\code{\link{tbl_stack}()},
\code{\link{tbl_uvregression}()}
}
\author{
Daniel D. Sjoberg
}
\concept{tbl_regression tools}
\concept{tbl_summary tools}
\concept{tbl_uvregression tools}
